Upstream information

CVE-2020-14382 at MITRE

Description

A vulnerability was found in upstream release cryptsetup-2.2.0 where, there's a bug in LUKS2 format validation code, that is effectively invoked on every device/image presenting itself as LUKS2 container. The bug is in segments validation code in file 'lib/luks2/luks2_json_metadata.c' in function hdr_validate_segments(struct crypt_device *cd, json_object *hdr_jobj) where the code does not check for possible overflow on memory allocation used for intervals array (see statement "intervals = malloc(first_backup * sizeof(*intervals));"). Due to the bug, library can be *tricked* to expect such allocation was successful but for far less memory then originally expected. Later it may read data FROM image crafted by an attacker and actually write such data BEYOND allocated memory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 5.3
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1176128 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • cryptsetup >= 2.3.4-1.34
  • cryptsetup-lang >= 2.3.4-1.34
  • libcryptsetup-devel >= 2.3.4-1.34
  • libcryptsetup12 >= 2.3.4-1.34
  • libcryptsetup12-32bit >= 2.3.4-1.34
  • libcryptsetup12-hmac >= 2.3.4-1.34
  • libcryptsetup12-hmac-32bit >= 2.3.4-1.34
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA cryptsetup-2.3.4-1.34
SUSE Liberty Linux 8
  • cryptsetup >= 2.3.3-2.el8
  • cryptsetup-devel >= 2.3.3-2.el8
  • cryptsetup-libs >= 2.3.3-2.el8
  • cryptsetup-reencrypt >= 2.3.3-2.el8
  • integritysetup >= 2.3.3-2.el8
  • veritysetup >= 2.3.3-2.el8
Patchnames:
RHSA-2020:4542
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • cryptsetup >= 2.4.3-150400.1.110
  • cryptsetup-lang >= 2.4.3-150400.1.110
  • cryptsetup-ssh >= 2.4.3-150400.1.110
  • libcryptsetup-devel >= 2.4.3-150400.1.110
  • libcryptsetup12 >= 2.4.3-150400.1.110
  • libcryptsetup12-32bit >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac-32bit >= 2.4.3-150400.1.110
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA cryptsetup-2.4.3-150400.1.110
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • cryptsetup >= 2.4.3-150400.1.110
  • cryptsetup-lang >= 2.4.3-150400.1.110
  • cryptsetup-ssh >= 2.4.3-150400.1.110
  • libcryptsetup-devel >= 2.4.3-150400.1.110
  • libcryptsetup12 >= 2.4.3-150400.1.110
  • libcryptsetup12-32bit >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac-32bit >= 2.4.3-150400.1.110
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA cryptsetup-2.4.3-150400.1.110
SUSE Linux Enterprise Micro 5.1
  • cryptsetup >= 2.3.4-1.34
  • libcryptsetup12 >= 2.3.4-1.34
  • libcryptsetup12-hmac >= 2.3.4-1.34
Patchnames:
SUSE Linux Enterprise Micro 5.1 GA cryptsetup-2.3.4-1.34
SUSE Linux Enterprise Micro 5.2
  • cryptsetup >= 2.3.7-150300.3.5.1
  • libcryptsetup12 >= 2.3.7-150300.3.5.1
  • libcryptsetup12-hmac >= 2.3.7-150300.3.5.1
Patchnames:
SUSE Linux Enterprise Micro 5.2 GA cryptsetup-2.3.7-150300.3.5.1
SUSE Linux Enterprise Micro 5.3
  • cryptsetup >= 2.4.3-150400.1.110
  • libcryptsetup12 >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac >= 2.4.3-150400.1.110
Patchnames:
SUSE Linux Enterprise Micro 5.3 GA cryptsetup-2.4.3-150400.1.110
SUSE Linux Enterprise Micro 5.4
  • cryptsetup >= 2.4.3-150400.1.110
  • libcryptsetup12 >= 2.4.3-150400.1.110
  • libcryptsetup12-hmac >= 2.4.3-150400.1.110
Patchnames:
SUSE Linux Enterprise Micro 5.4 GA cryptsetup-2.4.3-150400.1.110
SUSE Linux Enterprise Micro 6.0
  • cryptsetup >= 2.6.1-4.13
  • libcryptsetup12 >= 2.6.1-4.13
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA cryptsetup-2.6.1-4.13
openSUSE Leap 15.3
  • cryptsetup >= 2.3.4-1.34
  • cryptsetup-lang >= 2.3.4-1.34
  • libcryptsetup12 >= 2.3.4-1.34
Patchnames:
openSUSE Leap 15.3 GA cryptsetup-2.3.4-1.34
openSUSE Leap 15.4
  • cryptsetup >= 2.4.3-150400.1.110
  • cryptsetup-lang >= 2.4.3-150400.1.110
  • libcryptsetup12 >= 2.4.3-150400.1.110
Patchnames:
openSUSE Leap 15.4 GA cryptsetup-2.4.3-150400.1.110
openSUSE Tumbleweed
  • cryptsetup >= 2.4.1-1.1
  • cryptsetup-lang >= 2.4.1-1.1
  • cryptsetup-ssh >= 2.4.1-1.1
  • libcryptsetup-devel >= 2.4.1-1.1
  • libcryptsetup12 >= 2.4.1-1.1
  • libcryptsetup12-32bit >= 2.4.1-1.1
  • libcryptsetup12-hmac >= 2.4.1-1.1
  • libcryptsetup12-hmac-32bit >= 2.4.1-1.1
Patchnames:
openSUSE Tumbleweed GA cryptsetup-2.4.1-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 cryptsetup Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 cryptsetup Not affected
SUSE Linux Enterprise Micro 5.1 cryptsetup Already fixed
SUSE Linux Enterprise Micro 5.2 cryptsetup Already fixed
SUSE Linux Enterprise Server 12 SP5 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 cryptsetup Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 cryptsetup Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS cryptsetup Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS cryptsetup Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 cryptsetup Already fixed
SUSE Linux Enterprise Server 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP3 cryptsetup Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS cryptsetup Already fixed
SUSE Linux Enterprise Server 15-ESPOS cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 cryptsetup Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 cryptsetup Not affected
SUSE CaaS Platform 3.0 cryptsetup Not affected
SUSE CaaS Platform 4.0 cryptsetup Not affected
SUSE Container as a Service Platform 1.0 cryptsetup Not affected
SUSE Container as a Service Platform 2.0 cryptsetup Not affected
SUSE Enterprise Storage 6 cryptsetup Not affected
SUSE Enterprise Storage 7 cryptsetup Not affected
SUSE Linux Enterprise Desktop 11 SP4 cryptsetup Not affected
SUSE Linux Enterprise Desktop 12 cryptsetup Not affected
SUSE Linux Enterprise Desktop 12 SP1 cryptsetup Not affected
SUSE Linux Enterprise Desktop 12 SP2 cryptsetup Not affected
SUSE Linux Enterprise Desktop 12 SP3 cryptsetup Not affected
SUSE Linux Enterprise Desktop 12 SP4 cryptsetup Not affected
SUSE Linux Enterprise Desktop 15 cryptsetup Not affected
SUSE Linux Enterprise Desktop 15 SP1 cryptsetup Not affected
SUSE Linux Enterprise Desktop 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise Desktop 15 SP3 cryptsetup Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS cryptsetup Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS cryptsetup Not affected
SUSE Linux Enterprise Micro 5.0 cryptsetup Not affected
SUSE Linux Enterprise Module for Basesystem 15 cryptsetup Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 cryptsetup Not affected
SUSE Linux Enterprise Real Time 15 SP2 cryptsetup Not affected
SUSE Linux Enterprise Real Time 15 SP3 cryptsetup Already fixed
SUSE Linux Enterprise Server 11 SP3 cryptsetup Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 11 SP4 cryptsetup Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 12 cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP1 cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP2 cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP2-BCL cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP3 cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP3-BCL cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP4 cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS cryptsetup Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 12-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 15 cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP1 cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP1-BCL cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP2-BCL cryptsetup Not affected
SUSE Linux Enterprise Server 15 SP3-BCL cryptsetup Already fixed
SUSE Linux Enterprise Server 15-LTSS cryptsetup Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 15 cryptsetup Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 cryptsetup Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 cryptsetup Not affected
SUSE Manager Proxy 4.0 cryptsetup Not affected
SUSE Manager Proxy 4.1 cryptsetup Not affected
SUSE Manager Proxy 4.2 cryptsetup Already fixed
SUSE Manager Retail Branch Server 4.0 cryptsetup Not affected
SUSE Manager Retail Branch Server 4.1 cryptsetup Not affected
SUSE Manager Retail Branch Server 4.2 cryptsetup Already fixed
SUSE Manager Server 4.0 cryptsetup Not affected
SUSE Manager Server 4.1 cryptsetup Not affected
SUSE Manager Server 4.2 cryptsetup Already fixed
SUSE OpenStack Cloud 7 cryptsetup Not affected
SUSE OpenStack Cloud 8 cryptsetup Not affected
SUSE OpenStack Cloud 9 cryptsetup Not affected
SUSE OpenStack Cloud Crowbar 8 cryptsetup Not affected
SUSE OpenStack Cloud Crowbar 9 cryptsetup Not affected
Container Status
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
suse/sles/15.3/libguestfs-tools:0.45.0
cryptsetupAlready fixed
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/cephcsi/cephcsi
ses/7/rook/ceph
cryptsetupNot affected


SUSE Timeline for this CVE

CVE page created: Thu Sep 3 05:13:02 2020
CVE page last modified: Fri Jun 7 17:03:50 2024